# Class MultiResponse

java.lang.Object
org.apache.zookeeper.MultiResponse

All Implemented Interfaces:
  `Iterable<OpResult>, Record`

public class MultiResponse extends Object implements Record, Iterable<OpResult>
Handles the response from a multi request. Such a response consists of a sequence of responses each prefixed by a MultiResponse that indicates the type of the response. The end of the list is indicated by a MultiHeader with a negative type. Each individual response is in the same format as with the corresponding operation in the original request list.

## Constructor Summary

Constructors
Constructor
Description
`MultiResponse()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(OpResult x)`
`void`
`deserialize(InputArchive archive, String tag)`
`boolean`
`equals(Object o)`
`List<OpResult>`
`getResultList()`
`int`
`hashCode()`
`Iterator<OpResult>`
`iterator()`
`void`
`serialize(OutputArchive archive, String tag)`
`int`
`size()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Constructor Details

### MultiResponse

public MultiResponse()

## Method Details

### add

public void add(OpResult x)

### iterator

public Iterator<OpResult> iterator()

Specified by:
  `iterator` in interface `Iterable<OpResult>`

### size

public int size()

### serialize

public void serialize(OutputArchive archive, String tag) throws IOException

Specified by:
  `serialize` in interface `Record`
Throws:
  `IOException`

### deserialize

public void deserialize(InputArchive archive, String tag) throws IOException

Specified by:
  `deserialize` in interface `Record`
Throws:
  `IOException`

### getResultList

public List<OpResult> getResultList()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`